<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:rich="http://richfaces.org/rich" xmlns:f="http://java.sun.com/jsf/core"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.patientmanager.EnableDisableToolFeatures']}</h2>
        <h:form id="globalForm">
            #{dataTableStateHolder.setAscendingOn('label')}
            <rich:dataTable value="#{simulatorFeatureEditor.getSimulatorFeatures()}" var="feat" id="featTable"
                            rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                            render="featTableds">
                 <g:column>
                     <ui:define name="header">#{messages['net.ihe.gazelle.patientmanager.Keyword']}</ui:define>
                     <h:outputText value="#{feat.keyword}"/>
                 </g:column>
                 <g:column sortBy="#{'label'}" sortOrder="#{dataTableStateHolder.sortOrders['label']}">
                     <ui:define name="header">#{messages['net.ihe.gazelle.simulators.Label']}</ui:define>
                     <h:outputText value="#{feat.label}"/>
                 </g:column>
                 <g:column>
                     <ui:define name="header">#{messages['net.ihe.gazelle.patientmanager.Enabled']}</ui:define>
                     <h:selectBooleanCheckbox value="#{feat.enabled}">
                         <a4j:ajax event="change" listener="#{simulatorFeatureEditor.saveFeature(feat)}"
                            render="globalForm"/>
                     </h:selectBooleanCheckbox>
                 </g:column>
                <f:facet name="footer">
                    <ui:include src="/util/datatableFooter.xhtml">
                        <ui:param name="dataScrollerId" value="featTableds"/>
                        <ui:param name="dataTableId" value="featTable"/>
                    </ui:include>
                </f:facet>
            </rich:dataTable>
        </h:form>
    </ui:define>
</ui:composition>